> For the complete documentation index, see [llms.txt](https://docs.oneweb.tech/oneweb/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oneweb.tech/oneweb/reference/process-designer-reference/process-designer-component/custom-extensions/build-extension-in-workspace.md).

# Build extension in workspace

Copy and unzip the workspace downloaded from the Process Designer to a suitable folder. Use any Eclipse based IDE with maven installed to open the java project and create your implementation. There are three classes that needs to be implemented.

1\. **NodeExtentionExecute** - Override the execute method to include the custom implementation.

2\. **InputModel** - Define the input Business Object for your custom node.

3\. **OutputModel** - Define the output Business Object for your custom node.

4\. **Supporting classes** - You can create other supporting classes as you wish as in any regular java project. But do not change the name or package of the above three classes.

![](/files/VVzbcZvyHxFAypoKjgJh)

Once complete you can maven build your project to generate the jar file. When the Build is successful, the jar is generated in the target folder.

![](/files/aa6UVQAHFpjSFdPbdp2P)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oneweb.tech/oneweb/reference/process-designer-reference/process-designer-component/custom-extensions/build-extension-in-workspace.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
